org.apache.hadoop.hdfs.federation.protocol.proto

## Interface HdfsServerFederationProtos.GetRouterRegistrationResponseProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    HdfsServerFederationProtos.GetRouterRegistrationResponseProto, HdfsServerFederationProtos.GetRouterRegistrationResponseProto.Builder
  Enclosing class:
    HdfsServerFederationProtos

      public static interface HdfsServerFederationProtos.GetRouterRegistrationResponseProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HdfsServerFederationProtos.RouterRecordProto` | `getRouter()` `optional .hadoop.hdfs.RouterRecordProto router = 1;`
    `HdfsServerFederationProtos.RouterRecordProtoOrBuilder` | `getRouterOrBuilder()` `optional .hadoop.hdfs.RouterRecordProto router = 1;`
    `boolean` | `hasRouter()` `optional .hadoop.hdfs.RouterRecordProto router = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasRouter

          boolean hasRouter()

      `optional .hadoop.hdfs.RouterRecordProto router = 1;`

    - #### getRouter

          HdfsServerFederationProtos.RouterRecordProto getRouter()

      `optional .hadoop.hdfs.RouterRecordProto router = 1;`

    - #### getRouterOrBuilder

          HdfsServerFederationProtos.RouterRecordProtoOrBuilder getRouterOrBuilder()

      `optional .hadoop.hdfs.RouterRecordProto router = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.